/*******************************************************************************
 * FoxArmoryObject generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxArmoryObject extends GFxObject within GFxMoviePlayer
    native(UI);

var bool bTutorialOpen;

function as_TransitionArmoryIn()
{
    ActionScriptVoid("transitionIn");
    //return;    
}

function as_SetSectionNames(array<string> HeaderArray)
{
    ActionScriptVoid("sectionNames");
    //return;    
}

function as_SetSheetHeader0(int SheetIndex, string Label)
{
    ActionScriptVoid("sheetHeader0");
    //return;    
}

function as_SetSheetHeader1(int SheetIndex, string Label)
{
    ActionScriptVoid("sheetHeader1");
    //return;    
}

function as_SetArmorySwitcherIcons(string PrevButtonIcon, string NextButtonIcon)
{
    ActionScriptVoid("setSwitcherButtonIcons");
    //return;    
}

function as_SetArmorySheetData(int Index, array<GFxObject> DataArray)
{
    ActionScriptVoid("setSheetData");
    //return;    
}

function as_SetTauntData(array<GFxObject> DataArray)
{
    ActionScriptVoid("sheetTauntData");
    //return;    
}

function as_SetLoadoutData(array<GFxObject> DataArray)
{
    ActionScriptVoid("setLoadoutButtonData");
    //return;    
}

function as_SetModData(int ItemIndex, array<GFxObject> DataArray)
{
    ActionScriptVoid("sheetModData");
    //return;    
}

function as_ChangeLoadout()
{
    ActionScriptVoid("changeLoadout");
    //return;    
}

function as_SetVisibleSheet(int PageIndex, bool bDontFocus)
{
    ActionScriptVoid("setVisibleSheet");
    //return;    
}

function as_SetSelectedLoadoutIndex(int NewLoadoutIndex)
{
    ActionScriptVoid("setLoadoutIndex");
    //return;    
}

function as_TransitionArmoryLeft()
{
    ActionScriptVoid("transitionLeft");
    //return;    
}

function as_TransitionInQuick()
{
    ActionScriptVoid("transitionInQuick");
    //return;    
}

function as_ShowGuts()
{
    ActionScriptVoid("showGuts");
    //return;    
}

function as_ChangeArmoryPage(int Direction)
{
    ActionScriptVoid("ChangePage");
    //return;    
}

function as_SetLoadoutListButtonInfo(string Icon, string ClickFunc, string ToolTip, string Prompt)
{
    ActionScriptVoid("SetLoadoutListButtonInfo");
    //return;    
}

function as_SetEditLoadoutButtonInfo(string Icon, string ClickFunc, string ToolTip, string Prompt)
{
    ActionScriptVoid("SetEditLoadoutButtonInfo");
    //return;    
}

function string as_ShowLoadoutManager()
{
    return ActionScriptString("ShowLoadoutManager");
    //return ReturnValue;    
}

function as_ShowArmoryTutorial(int nTutorialStep)
{
    ActionScriptVoid("ShowArmoryTutorial");
    //return;    
}

function as_DisableArmory(bool bDisable)
{
    ActionScriptVoid("disableArmory");
    //return;    
}
